\vbox{
\begin{framed}
\begin{internallinenumbers}
\noindent\verb2#!2\verb!/usr/bin/perl -w!\\
\verb!use strict;!\\
\verb!use warnings;!\\
\verb!my $text= 'Variable names in Perl can have several formats. Usually,!

\end{internallinenumbers}
\verb!they must begin with a letter or underscore, in which case they!
\verb!can be arbitrarily long (up to an internal limit of 251 characters)!
\verb!and may contain letters, digits, underscores, or the special!
\verb!sequence :: or \'. In this case, the part before the last :: or \'!
\verb!is taken to be a package qualifier; see perlmod.';!

\begin{internallinenumbers}
%~\\
\noindent
\verb!$text =~ s/\b\w{3}\b/XXX/g;!\\
\verb!print $text;!
\end{internallinenumbers}
\end{framed}
}
\label{lst:l47.pl}
\resetlinenumber
